summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorTimotej Lazar <timotej.lazar@araneo.org>2015-10-10 16:04:25 +0200
committerTimotej Lazar <timotej.lazar@araneo.org>2015-10-10 16:05:55 +0200
commit2f8870c188b25ccf6865f8820a02f53fdf6af41d (patch)
treef694dc25f470f83c26060e550829d9342c2b9ea2 /scripts
parent3c1a60618c837ad7c19675b2e1626a480c194beb (diff)
Rebuild sandbox binaries when deploying
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/deploy/codeq_refresh_and_deploy.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/deploy/codeq_refresh_and_deploy.sh b/scripts/deploy/codeq_refresh_and_deploy.sh
index 57a23b2..f0a0aeb 100755
--- a/scripts/deploy/codeq_refresh_and_deploy.sh
+++ b/scripts/deploy/codeq_refresh_and_deploy.sh
@@ -36,6 +36,13 @@ if git diff --name-status origin/$CODEQ_GIT_BRANCH | cut -c3- | grep -v \\.gitig
BUILD_WEB_RESOURCES=1
fi
+ # rebuild sandbox binaries if out of date
+ for prog in python/runner/sandbox python/runner/terminator; do
+ if ! make -q "${prog}"; then
+ make -s "${prog}" && setcap cap_setuid,cap_setgid+ep "${prog}"
+ fi
+ done
+
if grep -q ^web/ $FILES | grep -v ^web/main.js; then
# node dependencies may have changed, run installation
cd web && /usr/bin/npm install